cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Berin Loritsch <blorit...@apache.org>
Subject Re: IT BREAKS !!!
Date Fri, 10 Aug 2001 04:23:55 GMT

> In combination with JDK1.4, Tomcat 4.0b6 was the only servlet container
> which I got starting at all; sadly, all SVG2JPG output via batik was
> blank, and as this is a major requirement for me, I did no further
> testing here, but the basic stuff leaving out critical JDK1.4 issues
> like JDBC 3.0 database access and the like worked until it died like the
> rest. All other servlet containers failed in combination with JDK1.4 due
> to Cocoon complaining on missing lexical handler support of the crimson
> XML parser, although I haven't got the slightest idea how this error
> could result as I removed all other parser.jars, jaxp.jars and the like,
> put xerces in the relevant lib directory and even updated the tools.jar
> in cocoon/WEB-INF/lib to the one provided with the JDK1.4; changing the
> JDK back to 1.3.1 and changing back the tools.jar made this particularly
> irritating problem disappear.

By the way, Avalon Excalibur can be compiled under JDK 1.4 to give you
support for JDBC 3.0--and the classes will still work with previous
JDKs.
The support was added in about 3 weeks ago (has it been that long
already?).
BATIK is another story altogether.

---------------------------------------------------------------------
To unsubscribe, e-mail: cocoon-dev-unsubscribe@xml.apache.org
For additional commands, email: cocoon-dev-help@xml.apache.org


Mime
View raw message